cURL
curl --request POST \
--url https://cmd.illusory.io/v1/proxies/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proxies": [
[
{
"isp": "Verizon",
"location": "Austin",
"interval": 1,
"period": "weekly"
},
{
"isp": "AT&T",
"location": "Cleveland",
"interval": 2,
"period": "monthly"
}
]
]
}
'import requests
url = "https://cmd.illusory.io/v1/proxies/deploy"
payload = { "proxies": [[
{
"isp": "Verizon",
"location": "Austin",
"interval": 1,
"period": "weekly"
},
{
"isp": "AT&T",
"location": "Cleveland",
"interval": 2,
"period": "monthly"
}
]] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
proxies: [
[
{isp: 'Verizon', location: 'Austin', interval: 1, period: 'weekly'},
{isp: 'AT&T', location: 'Cleveland', interval: 2, period: 'monthly'}
]
]
})
};
fetch('https://cmd.illusory.io/v1/proxies/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"message": "Sent deploy request successfully. Your proxies should be deployed shortly to your dashboard.",
"data": {
"user_id": "user_1234567890",
"total": 25
}
}{
"ok": false,
"data": {
"proxy_name": "ILL-US-AU1-9999"
},
"message": "Proxy not found"
}{
"ok": false,
"data": {
"count": 0,
"amount": 1,
"location": "Cleveland",
"isp": "AT&T"
},
"message": "The amount requested is lower than the available stock. Please review your cart as it may have been revised."
}Proxy Management
Deploy Proxies
Deploys one or more proxy servers.
POST
/
v1
/
proxies
/
deploy
cURL
Adds a new proxy server to your account. You can deploy a proxy server in any of the available locations.
When deploying a proxy, funds will be deducted from your Illusory Wallet. Ensure you have sufficient funds before deploying.
Authorizations
The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.
Body
application/json
Deploy proxy details
List of proxies to deploy. Each item should include isp, location, interval and period.
Show child attributes
Show child attributes
Was this page helpful?
⌘I